<template>
  <div class="info_box card">
    <div class="row">
      <div class="title" v-html="title"></div>
      <div v-if="show_tooltip" class="tooltip">
        <i class="material-icons"> help_outline </i>
        <span class="tooltip-text" v-html="tooltip_text"></span>
      </div>
    </div>

    <Circle v-if="!loaded" />
    <span v-else v-html="text"></span>
  </div>
</template>

<script>
import { Circle } from "vue-loading-spinner";

export default {
  name: "InfoBox",
  components: {
    Circle,
  },
  props: {
    title: HTMLElement,
    text: HTMLElement,
    loaded: Boolean,
    tooltip_text: String,
    show_tooltip: Boolean,
  },
};
</script>

<style scoped>
.row {
  display: flex;
  flex: 1 1 0px;
  justify-content: space-between;
}

i {
  color: lightgray;
}

.info_box {
  background-color: transparent;
  flex-grow: 1;
  flex-basis: 200px;
  margin: 5px;
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltip-text {
  visibility: hidden;
  width: 300px;
  background-color: #555;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 5px;

  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -150px;

  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltip-text::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}
</style>
    